apt (sources.list)

Sources.list para Ubuntu Edgy

Categoria: Miscelânea

Software: apt

[ Hits: 23.321 ]

Por: albert guedes


Esta é uma sources.list que estou usando há um mês, serve tanto para quem já tem o Ubuntu Edgy quanto para aqueles que querem atualizar o seu.

Usei o automatix para gerar as fontes e acrescentei mais umas coisas legais.


deb http://br.archive.ubuntu.com/ubuntu/ edgy main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ edgy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://br.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted

deb http://security.ubuntu.com/ubuntu edgy-security universe
deb-src http://security.ubuntu.com/ubuntu edgy-security universe

#####################################
#                          Nao mecher em cima                                                             #
#####################################
# Sources para Breezy amd64 intel emt64

# Automatically generated sources.list
# http://www.ubuntulinux.nl/source-o-matic
#
# If you get errors about missing keys, lookup the key in this file
# and run these commands (replace KEY with the key number)
#
# gpg --keyserver subkeys.pgp.net --recv KEY
# gpg --export --armor KEY | sudo apt-key add -

# Ubuntu supported packages (packages, GPG key: 437D05B5)

deb http://br.archive.ubuntu.com/ubuntu breezy main restricted
deb-src http://br.archive.ubuntu.com/ubuntu breezy main restricted

deb http://br.archive.ubuntu.com/ubuntu breezy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu breezy-updates main restricted

deb http://security.ubuntu.com/ubuntu breezy-security main restricted
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

# Ubuntu community supported packages (packages, GPG key: 437D05B5)
deb http://br.archive.ubuntu.com/ubuntu breezy universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu breezy universe multiverse

deb http://br.archive.ubuntu.com/ubuntu breezy-updates universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu breezy-updates universe multiverse

deb http://security.ubuntu.com/ubuntu breezy-security universe multiverse
deb-src http://security.ubuntu.com/ubuntu breezy-security universe multiverse

# Ubuntu backports project (packages, GPG key: 437D05B5)
deb http://br.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse

# Bazaar-NG development (packages, GPG key: 1F44842D)
deb http://people.ubuntu.com/~jbailey/snapshot/bzr ./
deb-src http://people.ubuntu.com/~jbailey/snapshot/bzr ./

#####################################
# Mplayer

deb http://archive.ubuntu.com/ubuntu edgy multiverse
deb-src http://archive.ubuntu.com/ubuntu edgy multiverse

deb http://www.getautomatix.com/apt edgy main

#AUTOMATIX REPOS START

deb http://wine.lowvoice.nl/apt edgy main
deb-src http://wine.lowvoice.nl/apt edgy main

deb http://archive.canonical.com/ubuntu edgy-commercial main
deb-src http://archive.canonical.com/ubuntu edgy-commercial main

deb http://archive.ubuntu.com/ubuntu edgy-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu edgy-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu edgy-updates universe multiverse
deb-src http://archive.ubuntu.com/ubuntu edgy-updates universe multiverse

deb http://archive.ubuntu.com/ubuntu edgy-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu edgy-security main restricted universe multiverse

deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

#AUTOMATIX REPOS END

  


Comentários
[1] Comentário enviado por paulloal em 13/04/2007 - 12:18h

a danndu um pau mto loko aki huHAUIHIU

: Dynamic MMap ran out of room
E: Um erro ocorreu processando totem-gstreamer (NovaVersão1)
E: Problem with MergeList /var/lib/apt/lists/br.archive.ubuntu.com_ubuntu_dists_breezy-backports_main_binary-i386_Packages
E: As listas de pacotes ou o arquivos de status não pôde ser analizado ou aberto

[2] Comentário enviado por albertguedes em 13/04/2007 - 16:19h

Sinto informar que estas fonts já eram, agora você deve usar as fontes do Ubuntu feisty-fawn que é a versão mais nova.
É só trocar onde está escrito "edgy" por "feisty" e fazer o update/upgrade.
Mas se mesmo assim tiver algum problema pode me escrever.
Até mais.

[3] Comentário enviado por greg_skolnick em 16/04/2007 - 03:29h

Ae paulloal, qual a tua distro?? Bem, tenta o seguinte:

Abre o Synaptic, ignore a msg de erro q dah logo qdo entra, vah em Configurações, ai em Configurar Opçao Interna; coloque em Variavel "APT::Cache-Limit" (sem as aspas) e em valor coloque 999000000.

Se tu nao tiver o Synaptic, faz assim: edite o /etc/apt/apt.conf como root e adicione/troque a seguinte linha:
APT::Cache-Limit "999000000"

Menciono primeiro a dica do Synaptic porque nem todas as distros tem esse arquivo apt.conf (como no meu caso, q uso o DreamLinux 2.2 com XFce) e realmente pode dar uma dor d cabeça ficar atirando na agua hehehehe.

Deu certo comigo, se nao der contigo escreve ae q vamo estuda oqq tah acontecendo.
Flws, abraço!

[4] Comentário enviado por pps em 28/04/2007 - 21:09h

greg_skolnick poderia-me ajudar, e que eu tabém usso dreamlinux 2.2, mas tou tendo uma dor de cabeça porcausa dos repositorios. Pois eu faço apt-get update e ele retorna-me um montão de erros. tais comos:

"W: Não existem chaves públicas para os seguintes IDs de chaves:
B5D0C804ADB11277
W: GPG error: http://ftp.debian-unofficial.org sarge Release: As assinaturas a seguir não puderam ser verificadas devido a chave pública não estar disponível: NO_PUBKEY D5642BC86823D007
E: Não foi possível obter trava /var/lib/dpkg/lock - open (11 Recurso temporariamente indisponível)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?"

Se me pudesse mostrar a sua sourcelist ou me ajudar de algum modo eu ficaria bastante grato.

[5] Comentário enviado por albertguedes em 29/04/2007 - 13:54h

Olá pps, a solução está na própria sources.list aí em cima, faça

$ gpg --keyserver subkeys.pgp.net --recv KEY
$ gpg --export --armor KEY | sudo apt-key add -

onde ´KEY´ são os últimos 8 digitos do NO_PUBKEY que no seu caso é

KEY=6823D007

Claro que você vai ter que ter o "gpg" insntalado antes.

[6] Comentário enviado por pps em 29/04/2007 - 18:22h

Muito muito obrigado albertguedes =)
Agora ja não da esse erro.
Eu substitui a minha source.list pela source.list de cima e corrigi o k me voce me disse mas da estes erros:

"Err ftp://ftp.tux.org unstable/non-free Packages
Servidor fechou a conexão
Baixados 5983B em 6m13s (16B/s)
Falha ao buscar http://marillat.free.fr/dists/unstable/Release.gpg Não foi poss ível resolver 'marillat.free.fr'
Falha ao buscar ftp://ftp.tux.org/pub/java/debian/dists/unstable/Release.gpg Nã o foi possível conectar socket de dados, conexão expirou
Falha ao buscar http://tuxfonts.free.fr/debs/./Release.gpg Não foi possível res olver 'tuxfonts.free.fr'
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/mai n/binary-i386/Packages.gz 404 Not Found
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/con trib/binary-i386/Packages.gz 404 Not Found
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/non -free/binary-i386/Packages.gz 404 Not Found
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/mai n/source/Sources.gz 404 Not Found
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/con trib/source/Sources.gz 404 Not Found
Falha ao buscar http://non-us.debian.org/debian-non-US/dists/unstable/non-US/non -free/source/Sources.gz 404 Not Found
Falha ao buscar http://qerub.ondska.net/./Packages.gz 404 Not Found [IP: 66.45. 239.146 80]
Falha ao buscar http://qerub.ondska.net/./Sources.gz 404 Not Found [IP: 66.45.2 39.146 80]
Falha ao buscar http://tuxfonts.free.fr/debs/./Packages.gz Não foi possível res olver 'tuxfonts.free.fr'
Falha ao buscar http://marillat.free.fr/dists/unstable/main/binary-i386/Packages .gz Não foi possível resolver 'marillat.free.fr'
Falha ao buscar ftp://ftp.tux.org/pub/java/debian/dists/unstable/main/binary-i38 6/Packages.gz Não foi possível conectar socket de dados, conexão expirou
Falha ao buscar ftp://ftp.tux.org/pub/java/debian/dists/unstable/non-free/binary -i386/Packages.gz Servidor fechou a conexão
Lendo lista de pacotes... Pronto
E: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os an tigos foram usados no lugar."

Se me alguem me ajuda-se eu agradeço desde já

[7] Comentário enviado por albertguedes em 30/04/2007 - 16:14h

O que acontece é que estas fonte ou diretórios não existem mais, como a própria mensagem de erro diz. Se quiser comprovar você pode usar um browser qualquer mesmo e digite qualquer um dos endereços que deu erro, por exemplo

http://non-us.debian.org/debian-non-US/dists

e você vai verificar que não existe um diretório "unstable" como esta na "sources.list", mas tem o "stable", "sarge", etc.
Então, ou você remove as fontes que não existem ou você coloca um diretório - se tiver - que exista no endereço da fonte. Ok ?
Até mais.

[8] Comentário enviado por pps em 01/05/2007 - 10:55h

Albertgedes peço imensa desculpa pelo incomodo .. mas ainda me erro... se algumem me ajuda-se... eu ficaria muito contente:

"Err http://www.getautomatix.com feisty Release.gpg
Não foi possível conectar em www.getautomatix.com:80 (216.120.255.9), conexão expirou
99% [25 Packages gzip 0]"

então eu pos em comentário as linhas referentes ao automatix

e apareceu-me isto:

"E: Dynamic MMap ran out of room
E: Um erro ocorreu processando wajig (NovaVersão1)
E: Problem with MergeList /var/lib/apt/lists/br.archive.ubuntu.com_ubuntu_dists_breezy_universe_binary-i386_Packages
E: As listas de pacotes ou os arquivos de status não puderam ser analisados ou abertos."

Então eu fiz como já tinham dito : acrescentar a variavel no synaptic com o nome de APT__Cache-Limit e com o valor de 999000000 mas o problema persistiu :(

[9] Comentário enviado por albertguedes em 01/05/2007 - 20:52h

Olha pps, tenho duas coisas a dizer: primeiro, não é incomodo nenhum tirar dúvidas, me inscrevi no VOL exatamente para ajudar as pessoas no uso do Linux; e segundo, quanto ao 'APT__Cache-Limit', que foi uma dica do nosso colega greg_skolnick, eu não sei muito dessa parte, no entanto arrisco sugerir a você colocar os valores iniciais e ai rodar o apt, e também me parece que você deixou uma fonte do 'breezy' restante no seu 'sources.list', dá uma olhada e troca por 'feisty' se for o caso.
Vamos ver se dá certo desta vez.

[10] Comentário enviado por pps em 01/05/2007 - 23:32h

albertguedes estou muito contente por voce me ter ajudado, muitissimo obrigado :D .
Continueia a ter problemas com o automatix, então pos as linhas deste em comentario e alterei o resto que me voçe indicou . apareceu isto:

"Baixados 5B em 11s (0B/s)
Lendo lista de pacotes... Pronto"

Problema resolvido, muito obrigado.
Só queria dizer que devido a varios apt-get updates eu tive que fazer apt-get clean para que as mensagens de erro que me davam :"W: Duplicate sources.list entry http://security.ubuntu.com feisty-security/restricted Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_feisty-security_restricted_binary-i386_Packages)
"
e depois ficou tudo bem :D:D


[11] Comentário enviado por bageh em 18/05/2007 - 20:50h

Eu venho recendo a seguinte mensagem de erro toda vez que o synaptic termina de instalar algo:

E: update-manager-core: subprocesso post-installation script retornou código de saída de error 1
E: python-launchpad-bugs: subprocesso post-installation script retornou código de saída de error 1
E: python-apport: problemas de dependência - deixando desconfigurado
E: apport: problemas de dependência - deixando desconfigurado
E: apport-gtk: problemas de dependência - deixando desconfigurado
E: gnome-app-install: subprocesso post-installation script retornou código de saída de error 1
E: hwdb-client-common: subprocesso post-installation script retornou código de saída de error 1
E: hwdb-client-gnome: problemas de dependência - deixando desconfigurado
E: hal-device-manager: problemas de dependência - deixando desconfigurado
E: python-crypto: subprocesso post-installation script retornou código de saída de error 1
E: python-zopeinterface: subprocesso post-installation script retornou código de saída de error 1
E: python-twisted-core: problemas de dependência - deixando desconfigurado
E: python-twisted-web: problemas de dependência - deixando desconfigurado
E: python-twisted-lore: problemas de dependência - deixando desconfigurado
E: python-twisted-mail: problemas de dependência - deixando desconfigurado
E: python-twisted-names: problemas de dependência - deixando desconfigurado
E: python-twisted-news: problemas de dependência - deixando desconfigurado
E: python-twisted-runner: problemas de dependência - deixando desconfigurado
E: python-twisted-words: problemas de dependência - deixando desconfigurado
E: update-manager: problemas de dependência - deixando desconfigurado
E: python-twisted-conch: problemas de dependência - deixando desconfigurado
E: python-twisted: problemas de dependência - deixando desconfigurado


Alguém poderia me ajudar???

[12] Comentário enviado por chaplinux em 09/12/2015 - 21:45h


- Instalei os pacotes de chaves
# aptitude install debian-keyring debian-archive-keyring

- depois Peguei a chave ID que o sistema informou e substitui pela minha.
#gpg --keyserver subkeys.pgp.net --recv-keys { cole seu ID }
#gpg --armor --export { cole seu ID } | apt-key add -

OBS: sem os cochetes no ID.

~~~~~~~~===~~~~~~~~===~~~~~~~~===~~~~~~~===
Pai..., o que é Software?
meu filho..., Software é a parte que você xinga...
...mais Pai! então o que é Hardware ?
meu garoto, Hardware é a parte que você chuta! ...
... hhha tá..


Contribuir com comentário